Aiuto Error loading RubyGems plugin

ciao a tutti utenti del forum! questo è il mio primo topic :slight_smile:
allora devo installare la gem per usare ruby insieme a Mysql,ma quando
accedo al terminale e inserisco il comando mi compare il seguente
messaggio di errore:

Error loading RubyGems plugin
“/usr/local/rvm/gems/[email protected]/gems/rubygems-bundler-0.3.0/lib/rubygems_plugin.rb”:
no such file to load – rubygems_bundler/rubygems_bundler_installer
(LoadError)

e poi…

Building native extensions. This could take a while…
ERROR: Error installing mysql:
ERROR: Failed to build gem native extension.

    /usr/local/rvm/rubies/ruby-1.9.2-p318/bin/ruby extconf.rb

checking for mysql_query() in -lmysqlclient… no
checking for main() in -lm… yes
checking for mysql_query() in -lmysqlclient… no
checking for main() in -lz… yes
checking for mysql_query() in -lmysqlclient… no
checking for main() in -lsocket… no
checking for mysql_query() in -lmysqlclient… no
checking for main() in -lnsl… yes
checking for mysql_query() in -lmysqlclient… no
checking for main() in -lmygcc… no
checking for mysql_query() in -lmysqlclient… no
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

Provided configuration options:
–with-opt-dir
–with-opt-include
–without-opt-include=${opt-dir}/include
–with-opt-lib
–without-opt-lib=${opt-dir}/lib
–with-make-prog
–without-make-prog
–srcdir=.
–curdir
–ruby=/usr/local/rvm/rubies/ruby-1.9.2-p318/bin/ruby
–with-mysql-config
–without-mysql-config
–with-mysql-dir
–without-mysql-dir
–with-mysql-include
–without-mysql-include=${mysql-dir}/include
–with-mysql-lib
–without-mysql-lib=${mysql-dir}/lib
–with-mysqlclientlib
–without-mysqlclientlib
–with-mlib
–without-mlib
–with-mysqlclientlib
–without-mysqlclientlib
–with-zlib
–without-zlib
–with-mysqlclientlib
–without-mysqlclientlib
–with-socketlib
–without-socketlib
–with-mysqlclientlib
–without-mysqlclientlib
–with-nsllib
–without-nsllib
–with-mysqlclientlib
–without-mysqlclientlib
–with-mygcclib
–without-mygcclib
–with-mysqlclientlib
–without-mysqlclientlib

Gem files will remain installed in
/usr/local/rvm/gems/ruby-1.9.2-p318/gems/mysql-2.8.1 for inspection.
Results logged to
/usr/local/rvm/gems/ruby-1.9.2-p318/gems/mysql-2.8.1/ext/mysql_api/gem_make.out

qualcuno mi può gentilmente aiutare? Sono alle prime armi sia con ruby
che con mysql magari è un errore da poco.
vi ringrazio anticipatamente.
Matteo

innanzi tutto, se non hai motivi particolari per non farlo, preferisci
la gemma mysql2 a mysql.

il database mysql installato? usi linux o osx?

michele.

Michele F. wrote in post #1069654:

innanzi tutto, se non hai motivi particolari per non farlo, preferisci
la gemma mysql2 a mysql.

il database mysql installato? usi linux o osx?

michele.

ciao Michele, si il database l’ho già installato e uso linux ubuntu.

Come puoi vedere all’inizio dei messaggi d’errore, l’installazione non
ha trovato nessuna libreria con cui compilare la gemma. Installa la
libreria con

sudo apt-get install libmysqlclient-dev

Mi unisco a Michele nel consigliarti la gemma mysql2. Se è
un’applicazione rails cambia il nome dell’adapter in config/database.yml

Paolo

matteo ratti wrote in post #1069660:

Michele F. wrote in post #1069654:

innanzi tutto, se non hai motivi particolari per non farlo, preferisci
la gemma mysql2 a mysql.

il database mysql installato? usi linux o osx?

michele.

ciao Michele, si il database l’ho già installato e uso linux ubuntu.